PDA

View Full Version : Complier Problems



johand
20th April 2006, 06:51 AM
HI FedoreForum.org

I seem to be having a problem when compiling sourcecode. Here is the error log.

conftest.cc:7:8: warning: "QT_VERSION" is not defined
conftest.cc:8:2: error: #error 1
conftest.cc: In function 'int main()':
conftest.cc:12: error: 'QStyleFactory' has not been declared
conftest.cc:12: error: 'QString' has not been declared
conftest.cc:13: error: 'QCursor' was not declared in this scope
conftest.cc:13: error: expected `;' before 'c'
configure:30121: $? = 1
configure: failed program was:
#include "confdefs.h"
#include <qglobal.h>
#include <qapplication.h>
#include <qcursor.h>
#include <qstylefactory.h>
#include <private/qucomextra_p.h>
#if ! (QT_VERSION >= 0x030200 && QT_VERSION < 0x040000)
#error 1
#endif

int main() {
(void)QStyleFactory::create(QString::null);
QCursor c(Qt::WhatsThisCursor);
return 0;
}
configure:30161: error: Qt (>= Qt 3.2 and < 4.0) (headers and libraries) not found. Please check your installation!
For more details about this problem, look at the end of config.log.

Some other applications gave me a similar error and revered to the GCC Complier.

Your help in this regards would be greatly appreciated.

daihard
20th April 2006, 08:08 AM
My guess is that you do not have the qt-devel package installed on your machine. You can install it as follows:

# yum install qt-devel

Good luck!
Dai